United States
Skip navigation links

Updates & Downloads


fleet 590 Text Language (region file only) software version 2.90

as of August 28, 2014

Use WebUpdater to install this file.

(1.62 MB)

View system requirements

Notes:


Change History

Changes made from version 2.50 to 2.90:

Changes made from version 2.40 to 2.50:

System requirements

  1. IBM-compatible PC running Windows 2000 or later operating system and an available USB port.